<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['libr-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}

if(empty($_POST['libr'])) {puterror($result2['skin'],$TEXT['error-libr1']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['libr'])>255) {puterror($result2['skin'],$TEXT['error-libr2']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['addr'])>255) {puterror($result2['skin'],$TEXT['error-libr10']); require_once "../utils/bottom_adm.php"; exit();}

if(isset($_POST['libr'])) {$libr=trim($_POST['libr']);}
 else {$libr ="";}
  if(empty($libr)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm.php"; exit();}

$_POST['libr'] = rep($_POST['libr']);
$_POST['addr'] = rep($_POST['addr']);

$query10 = mysqli_query($dbcnx,"SELECT COUNT(`bibl_id`) AS c_bibl_id FROM `tbl_biblioteka` WHERE `name`='".$_POST['libr']."' ");
$result10 = mysqli_fetch_array($query10);
 if($result10['c_bibl_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-libr1'];
  $what = $_POST['libr'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "INSERT INTO `tbl_biblioteka` ( `bibl_id` , `name` , `address_bibl` ) VALUES ( NULL , '".$_POST['libr']."' , '".$_POST['addr']."')";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl2']); require_once "../utils/bottom_adm.php"; exit();}
require_once "../utils/bottom_adm.php";
?>